Debian / Ubuntu Linux See The Changelog Of an Installed Package

Fig.01: Debian / Ubuntu Linux See The Changelog Of an Installed Package

Fig.01: Debian / Ubuntu Linux See The Changelog Of an Installed Package

Open the Terminal app or login using the ssh comamnd. Next type the following command, to look in /usr/share/doc/<packageName>/changelog.Debian.gz file. Feel free to replace <packageName> with actual name such as nginx, vim, php5-cgi, mysql-server and so on:

less /usr/share/doc/nginx/changelog.Debian.gz 
less /usr/share/doc/vim/changelog.Debian.gz 

Sample outputs:

vim (2:7.4.052-1ubuntu3) trusty; urgency=medium
 
  * No-change rebuild for Tcl 8.6.
 
 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Jan 2014 20:29:37 +0100
 
vim (2:7.4.052-1ubuntu2) trusty; urgency=low
 
  * upstream/completion-crash.patch: Fix crash with Insert mode completion.
 
 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 Dec 2013 15:32:41 -0700
 
vim (2:7.4.052-1ubuntu1) trusty; urgency=low
 
  * Merge with Debian unstable, remaining changes:
    - debian/runtime/vimrc:
      + "syntax on" is a sane default for non-tiny vim
    - debian/patches/debian/ubuntu-grub-syntax.patch:
      + Add Ubuntu-specific "quiet" keyword.
    - debian/patches/debian/update-upstart-syntax.patch:
      + Add setuid and setgid to syntax file.
  * debian/patches/debian/ubuntu-dists.patch:
    - Add devel and trusty as valid distribution targets.
  * debian/patches/debian/ubuntu-arches.patch:
    - Support arm64, ppc64el, and x32 as valid arches.
 
 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 18 Oct 2013 15:02:17 +0100
 
vim (2:7.4.052-1) unstable; urgency=low
 
  * Merge upstream tag v7-4-052
    - Remove upstream/python-ftplugin-keywordprg.patch, merged upstream
  * debian/watch: Use the pasv option.
  * debian/control: Version the ruby1.8{,-dev} Build-Conflicts now that the
    Provides: have been dropped.
 
 -- James McCoy <jamessan@debian.org>  Wed, 09 Oct 2013 00:06:41 -0400
 
vim (2:7.4.027-1) unstable; urgency=low

Examples and usage: Debian/Ubuntu Linux: Find If Installed APT Package Includes a Fix/Patch Via CVE Number